xine-lib: mdpr_t Struct Reference

xine-lib 1.2.12

Data Fields
mdpr_t Struct Reference

## Data Fields
uint16_t | object_version
uint16_t | stream_number
uint32_t | max_bit_rate
uint32_t | avg_bit_rate
uint32_t | max_packet_size
uint32_t | avg_packet_size
uint32_t | start_time
uint32_t | preroll
uint32_t | duration
size_t | stream_name_size
char * | stream_name
size_t | mime_type_size
char * | mime_type
size_t | type_specific_len
uint8_t * | type_specific_data

## Field Documentation

## ◆ avg_bit_rate

uint32_t mdpr_t::avg_bit_rate

Referenced by real_parse_audio_specific_data(), real_parse_headers(), and real_parse_mdpr().

## ◆ avg_packet_size

uint32_t mdpr_t::avg_packet_size

Referenced by real_parse_mdpr().

## ◆ duration

uint32_t mdpr_t::duration

Referenced by real_parse_mdpr().

## ◆ max_bit_rate

uint32_t mdpr_t::max_bit_rate

Referenced by real_parse_mdpr().

## ◆ max_packet_size

uint32_t mdpr_t::max_packet_size

Referenced by real_parse_mdpr().

## ◆ mime_type

char* mdpr_t::mime_type

Referenced by real_parse_headers(), and real_parse_mdpr().

## ◆ mime_type_size

size_t mdpr_t::mime_type_size

Referenced by real_parse_mdpr().

## ◆ object_version

uint16_t mdpr_t::object_version

Referenced by real_parse_mdpr().

## ◆ preroll

uint32_t mdpr_t::preroll

Referenced by real_parse_mdpr().

## ◆ start_time

uint32_t mdpr_t::start_time

Referenced by real_parse_audio_specific_data(), real_parse_headers(), and real_parse_mdpr().

## ◆ stream_name

char* mdpr_t::stream_name

Referenced by real_parse_mdpr().

## ◆ stream_name_size

size_t mdpr_t::stream_name_size

Referenced by real_parse_mdpr().

## ◆ stream_number

uint16_t mdpr_t::stream_number

Referenced by real_parse_audio_specific_data(), real_parse_headers(), and real_parse_mdpr().

## ◆ type_specific_data

uint8_t* mdpr_t::type_specific_data

Referenced by real_parse_audio_specific_data(), real_parse_headers(), and real_parse_mdpr().

## ◆ type_specific_len

size_t mdpr_t::type_specific_len

Referenced by real_parse_audio_specific_data(), real_parse_headers(), and real_parse_mdpr().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/demuxers/demux_real.c